<script>
import Select from "@/components/Select.vue";
import BScroll from "better-scroll";

export default {
  name: "Air",
  components: {Select},
  data() {
    return {
      temp: 0,
      temp1: 0,
      switch1: true,
      switch2: true
    }
  },
  mounted() {
    this.init()
  },
  beforeDestroy() {
    this.bs.destroy()
  },
  methods: {
    init() {
      this.bs = new BScroll(this.$refs.scroll, {
        quadrant: 2,
        click: true
      });
    },
  }
}
</script>

<template>
  <div class="custom-body">
    <div class="scroll-wrapper" ref="scroll">
      <div class="card-body">
        <div class="card-group">
          <u-card left-text="蓝牙通话自动降风速" left-icon-name="setting_tips">
            <template #right>
              <u-switch v-model="switch1" :value="switch1" />
            </template>
          </u-card>

          <u-card left-text="驻车自动内循环" left-icon-name="setting_tips">
            <template #right>
              <u-switch v-model="switch2" :value="switch2" />
            </template>
          </u-card>
        </div>

        <div class="card-group">
          <u-card bottom left-text="遥控开启空调运行时间（分钟）" left-icon-name="setting_tips">
            <template #bottom>
              <Select :options="['10', '15', '20', '25', '30']" :selected-index="temp" background="#E9EDF0" @changeIndex="e => temp = e" />
            </template>
          </u-card>

          <u-card bottom left-text="空调自动模式" left-icon-name="setting_tips">
            <template #bottom>
              <Select :options="['经济', '舒适']" :selected-index="temp1" background="#E9EDF0" @changeIndex="e => temp1 = e" />
            </template>
          </u-card>
        </div>

        <u-card class="mb-1" shadow left-text="隧道自动内循环" left-icon-name="setting_tips" />
        <u-card shadow left-text="自动净化" left-icon-name="setting_tips" />
      </div>
    </div>

    <img
      src="../../assets/images/setting/air.webp"
      alt=""
      class="img-signal"
    />
  </div>
</template>

<style scoped lang="scss">
.custom-body {
  display: flex;
  width: 694px;
  overflow: hidden;

  .scroll-wrapper {
    width: 100%;
    overflow: hidden;
    height: 743px;
  }

  .card-body {
    flex-grow: 1;

    .card-group {
      margin-bottom: 15px;
      border-radius: 21px;
      background-color: #fff;
      box-shadow: 0px 0px 10px 3px rgba(0, 0, 0, 0.09);

      .select-warp {
        height: 70px;
      }
    }
  }
}

.img-signal {
  width: 810px;
  height: 392px;
  position: absolute;
  object-fit: contain;
  right: 60px;
  top: 350px;
}
</style>